EDIT - feature request #7761

Invalid designations should be displayed like misapplied names in name editor
09/14/2018 01:37 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 70%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

The taxon relationship invalid designation should be displayed like MAN and pro parte synonyms in editor.

Related issues:

Related to EDIT - feature request #7215: Implement pro parte misapplied names... Closed
Related to EDIT - feature request #7427: Implement pro parte synonyms in TaxE... Duplicate
Related to EDIT - task #8055: Correct formatting for invalid designations Rejected
Related to EDIT - feature request #6394: Allow additional taxon relationships... New
Related to EDIT - bug #9322: Remove invalid designation taxon relationship Closed

Associated revisions

Revision 7118b734 - 09/14/2018 01:39 PM - Katja Luther

ref #7761: add isInvalidDeisgnation() method to taxon

Revision 8e0e024c - 09/14/2018 01:43 PM - Katja Luther

ref #7761: invalid designations are displayed in name editor and details view like MAN

Revision b7299e98 - 09/14/2018 01:45 PM - Katja Luther

ref #7761: fragment.xmi and plugin.properties file for invalid designation changes

Revision 7070571d - 09/14/2018 02:27 PM - Katja Luther
ref #7761: adapt property tester

Revision 891e2f48 - 09/16/2018 04:27 PM - Andreas Miiller
ref #7761 add isInvalidDesignation to TaxonRelationshipType

Revision 60a3cd56 - 09/16/2018 04:49 PM - Andreas Miiller
ref #7761 add isInvalidDesignation to TaxonRelationshipType

Revision 4e956294 - 09/16/2018 11:47 PM - Andreas Miller

Revert "ref #7761: invalid designations are displayed in name editor and details view like MAN"

This reverts commit 8e0e024c985ffbbe2ce2421270927059¢9abfOcc.

Revision 958e78a4 - 09/24/2018 03:30 PM - Katja Luther

ref #7761: add invalid designation and adapt right click menu for name editor

Revision e7f70a37 - 02/02/2019 12:05 PM - Katja Luther

ref #7761: don't allow editing type of relationship for InvalidTypeDesignations in details view

Revision e944f62a - 02/05/2019 10:58 AM - Katja Luther

ref #7761: add icon for invalid designation
#1 - 09/14/2018 02:09 PM - Andreas Miiller

- Category set to taxeditor

#2 - 09/17/2018 11:40 AM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.4

#3 - 10/23/2018 10:41 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#4 - 01/24/2019 09:15 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

please review

#5 - 01/30/2019 10:55 AM - Andreas Miiller
- Priority changed from New to Highest

#6 - 02/01/2019 02:36 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Relationship type in details view allows all relationship types now in dropdown. As long as we do not allow other concept relationships explicitly we
can probably completely remove this field as there are no alternative types (like pro parte MAN for MAN).

#7 - 02/01/2019 02:36 PM - Andreas Miiller

- Tags set to euro+med

#8 - 02/01/2019 02:36 PM - Andreas Miiller
- % Done changed from 0 to 30

#9 - 02/01/2019 02:42 PM - Andreas Miiller

- Related to feature request #7215: Implement pro parte misapplied names in TaxEditor added

#10 - 02/01/2019 02:43 PM - Andreas Miiller
- Related to feature request #7427: Implement pro parte synonyms in TaxEditor added

#11 - 02/01/2019 02:45 PM - Andreas Miiller
- Tags deleted (euro+med)

- Subject changed from invalid designations should be displayed like MAN in name editor to Invalid designations should be displayed like misapplied
names in name editor

- % Done changed from 30 to 0

It would be nice to have a separate icon. MA stands for Misapplication. Can we have something like ID or IN. ID sounds like identifier so maybe IN is
better.

#12 - 02/01/2019 02:55 PM - Andreas Miiller

The formatting is according to MAN now, with name author being "NON" author in the second row. Is this taken from the TaxonRelationshipFormatter
oris it just c&p from MAN handling.

| am personally not sure about the correct formatting of invDesigs, but | think | would prefer same formatting as for ppSyns prior to MAN formatting.

Anyway we need to check correct formatting (#8055).

#13 - 02/01/2019 02:57 PM - Andreas Miiller
- Related to task #8055: Correct formatting for invalid designations added

#14 - 02/02/2019 11:55 AM - Katja Luther
Andreas Muller wrote:
Relationship type in details view allows all relationship types now in dropdown. As long as we do not allow other concept relationships explicitly

we can probably completely remove this field as there are no alternative types (like pro parte MAN for MAN).

fixed

#15 - 02/02/2019 11:59 AM - Katja Luther

Andreas Milller wrote:
The formatting is according to MAN now, with name author being "NON" author in the second row. Is this taken from the
TaxonRelationshipFormatter or is it just c&p from MAN handling.

this is taken from the formatter

I am personally not sure about the correct formatting of invDesigs, but | think | would prefer same formatting as for ppSyns prior to MAN
formatting.

Anyway we need to check correct formatting (#8055).

#16 - 02/05/2019 11:00 AM - Katja Luther
- Assignee changed from Katja Luther to Andreas Mdiller
Andreas Miller wrote:
It would be nice to have a separate icon. MA stands for Misapplication. Can we have something like ID or IN. ID sounds like identifier so maybe

IN is better.

a new icon is added. as we have do check the correct formatting in #8055 we can close this ticket?

#17 - 02/05/2019 12:30 PM - Andreas Miiller

- Status changed from Feedback to Resolved

#18 - 02/06/2019 11:19 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

yes, probably we can close this. Correct formatting will be done in #8055

#19 - 02/06/2019 11:21 PM - Andreas Miiller
- % Done changed from 0 to 70
Katja Luther wrote:
Andreas Miiller wrote:
It would be nice to have a separate icon. MA stands for Misapplication. Can we have something like ID or IN. ID sounds like identifier so
maybe IN is better.

a new icon is added. as we have do check the correct formatting in #8055 we can close this ticket?

Maybe dark blue is very similar to the basionym icon. Maybe some red is a better. With red also indicating the "invalid" a bit more.

#20 - 02/07/2019 11:00 AM - Katja Luther
Andreas Muller wrote:

Katja Luther wrote:

Andreas Muller wrote:
It would be nice to have a separate icon. MA stands for Misapplication. Can we have something like ID or IN. ID sounds like identifier
so maybe IN is better.

a new icon is added. as we have do check the correct formatting in #8055 we can close this ticket?

Maybe dark blue is very similar to the basionym icon. Maybe some red is a better. With red also indicating the "invalid" a bit more.

Now the icon is red.

#21 - 02/07/2019 12:02 PM - Andreas Miiller
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#22 - 02/07/2019 06:29 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther

There are still some related issues open (discussed via email). However, they are not inval. desig. specific and therefore we can close this ticket.

#23 - 02/19/2019 03:04 PM - Andreas Miiller

- Related to feature request #6394: Allow additional taxon relationships in TaxEditor to be handled similar to misapplications added

#24 - 11/25/2020 03:01 PM - Andreas Miiller

- Related to bug #9322: Remove invalid designation taxon relationship added
